Class for holding nested excludes elements (file, class, method).

package | phing.types
author | Benjamin Schultz
version | $Id: a1098700b4f205baacfd5adf5434e5a4803a6a3f $
since | 2.4.6

### Methods

## An alias for the setName() method.

    addText(string $pattern)

Set the name of a file pattern.

see | \global\setName()

### Parameters

#### $pattern

`string`

The file pattern

## Get the name of a file, class or method or the file pattern

    getName() : string

### Returns

`string`The name of a file, class or method or the file pattern

## Set the name of a file, class or method

    setName(string $name)

### Parameters

#### $name

`string`

## Gets a string representation of this name or pattern.

    toString() : string

### Returns

`string`

### Properties

##

    $_name : string